import { AbstractFieldReadComponent } from '../base-field/abstract-field-read.component';
import { CaseReferencePipe } from '../../../pipes/case-reference';
export declare class ReadCaseLinkFieldComponent extends AbstractFieldReadComponent {
    private caseReferencePipe;
    constructor(caseReferencePipe: CaseReferencePipe);
    hasReference(): boolean;
    linkHref(): string;
    linkText(): string;
}
